Link Creative to Campaign
Link a creative to a campaign with an optional rotation weight.
curl -X POST "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/link" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"weight": 100
}'
import requests
import json
url = "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/link"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"weight": 100
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/link", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"weight": 100
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"weight": 100
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/link", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/link')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"weight": 100
}'
response = http.request(request)
puts response.body
{
"result": "success"
}
POST
/ad-manager/{pid}/campaigns/{cid}/creatives/{creativeId}/linkPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
pidinteger
RequiredID of the Ad Manager project.
path
cidstring
RequiredID of the campaign.
path
creativeIdstring
RequiredID of the creative to link or unlink.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
weightinteger
Rotation weight for this creative within the campaign. Higher values are served more often relative to other linked creatives.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
weightinteger
Rotation weight for this creative within the campaign. Higher values are served more often relative to other linked creatives.
Example:
100Responses
resultstring
Operation outcome.
Allowed values:
successerrorWas this page helpful?